Name:      zint
Version:   2.4.2
Release:   %mkrel 1
Summary:   Barcode generator library
License:   GPLv3+
URL:       http://www.zint.org.uk
Source:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Group:     Text tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:    %{name}-rpath.patch
BuildRequires: cmake
BuildRequires: libpng-devel
BuildRequires: zlib1-devel
BuildRequires: libqt4-devel
BuildRequires: desktop-file-utils
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.1

%description
Zint is a C library for encoding data in several barcode variants. The
bundled command-line utility provides a simple interface to the library.
Features of the library:
- Over 50 symbologies including all ISO/IEC standards, like QR codes.
- Unicode translation for symbologies which support Latin-1 and 
  Kanji character sets.
- Full GS1 support including data verification and automated insertion of 
  FNC1 characters.
- Support for encoding binary data including NULL (ASCII 0) characters.
- Health Industry Barcode (HIBC) encoding capabilities.
- Output in PNG, EPS and SVG formats with user adjustable sizes and colors.
- Verification stage for SBN, ISBN and ISBN-13 data.



%package devel
Summary:       Library and header files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel 
C library and header files needed to develop applications that use 
the Zint library. The API documentation can be found on the project website:
http://www.zint.org.uk/zintSite/Manual.aspx


%package qt
Summary:       Zint Barcode Studio
Group:         Text tools

%description qt
Zint Barcode Studio is a Qt-based GUI which allows desktop users to generate 
barcodes which can then be embedded in documents or HTML pages.


%package qt-devel
Summary:       Library and header files for %{name}-qt
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description qt-devel 
C library and header files needed to develop applications that use libQZint.


%prep
%setup -q
%patch0 -p1

# remove BSD-licensed file required for Windows only (just to ensure that this package is plain GPLv3+)
rm -f backend/ms_stdint.h

# remove bundled getopt sources (we use the corresponding pclos package instead)
rm -f frontend/getopt*.*

%build
%cmake 
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd build/
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_datadir}/cmake
cd ..
install -D -p -m 644 %{name}.png %{buildroot}/usr/share/pixmaps/%{name}.png
install -D -p -m 644 %{name}-qt.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post qt
/sbin/ldconfig

%postun qt
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_libdir}/libzint.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/libzint.so

%files qt
%defattr(-,root,root,-)
%{_bindir}/%{name}-qt
%{_libdir}/libQZint.so.*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/pixmaps/%{name}.png

%files qt-devel
%defattr(-,root,root,-)
%{_includedir}/qzint.h
%{_libdir}/libQZint.so


%changelog
* Wed Feb 01 2012 Neal <nealbrks0 at gmail dot com> 2.4.2-1pclos2012
- 64bit build

* Fri May 06 2011 Texstar <texstar at gmail.com> 2.4.2-1pclos2011
- 2.4.2

* Mon Mar 28 2011 Texstar <texstar at gmail.com> 2.4.1-2pclos2011
- fix rpm/synaptic group Text tools
- add requires for new glibc
- fix qt desktop file for pclinuxos

* Fri Mar 18 2011 Ertain <sirius-c at iname.com> 2.4.1-1pclos2010
- Initial package ported from Fedora source RPM


